Skip to main content
PUT
/
users
/
{id}
Update a user
import requests

url = "https://{FUSION HOST}/api/users/{id}"

payload = {
    "username": "1new-user-test",
    "realmName": "native",
    "timezone": "Pacific Time (US & Canada)",
    "permissions": [{ "methods": ["GET", "PUT"] }]
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.put("https://{FUSION HOST}/api/users/{id}")
.header("Content-Type", "application/json")
.body("{\n \"username\": \"1new-user-test\",\n \"realmName\": \"native\",\n \"timezone\": \"Pacific Time (US & Canada)\",\n \"permissions\": [\n {\n \"methods\": [\n \"GET\",\n \"PUT\"\n ]\n }\n ]\n}")
.asString();
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
username: '1new-user-test',
realmName: 'native',
timezone: 'Pacific Time (US & Canada)',
permissions: [{methods: ['GET', 'PUT']}]
})
};

fetch('https://{FUSION HOST}/api/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/users/{id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"username\": \"1new-user-test\",\n \"realmName\": \"native\",\n \"timezone\": \"Pacific Time (US & Canada)\",\n \"permissions\": [\n {\n \"methods\": [\n \"GET\",\n \"PUT\"\n ]\n }\n ]\n}"

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/users/{id}"

payload := strings.NewReader("{\n \"username\": \"1new-user-test\",\n \"realmName\": \"native\",\n \"timezone\": \"Pacific Time (US & Canada)\",\n \"permissions\": [\n {\n \"methods\": [\n \"GET\",\n \"PUT\"\n ]\n }\n ]\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/users/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'username' => '1new-user-test',
'realmName' => 'native',
'timezone' => 'Pacific Time (US & Canada)',
'permissions' => [
[
'methods' => [
'GET',
'PUT'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request PUT \
--url https://{FUSION HOST}/api/users/{id} \
--header 'Content-Type: application/json' \
--data '
{
"username": "1new-user-test",
"realmName": "native",
"timezone": "Pacific Time (US & Canada)",
"permissions": [
{
"methods": [
"GET",
"PUT"
]
}
]
}
'
{
  "id": "fe0885f2-8885-4c46-a3ea-8e5d0041c293",
  "username": "1new-user-test",
  "realmName": "native",
  "createdAt": "2025-10-30T21:59:01Z",
  "roleNames": [],
  "timezone": "Pacific Time (US & Canada)",
  "permissions": [
    {
      "methods": [
        "PUT",
        "GET"
      ]
    }
  ]
}

Path Parameters

id
string
required

The user ID. Note that this is different than the username. Use GET /users to get the list of user IDs.

Body

application/json
password
object
passwordHash
string
roleNames
string[]
write-only

Indicates which roles are dynamically applied to users in the realm.

timezone
string
Example:

"Pacific Time (US & Canada)"

permissions
object[]
roles
string[]

One or more user roles. Use GET /roles to get the list of existing roles.

Response

200 - */*

OK

id
string
Example:

"fe0885f2-8885-4c46-a3ea-8e5d0041c293"

username
string
Example:

"admin"

realmName
string
Example:

"ldap-internal"

createdAt
string<date-time>
Example:

"2025-09-23T17:48:07Z"

updatedAt
string<date-time>
Example:

"2025-10-31T12:28:04Z"

roleNames
string[]

Indicates which roles are dynamically applied to users in the realm.

Example:
["search", "developer"]
timezone
string
Example:

"Pacific Time (US & Canada)"

permissions
object[]